#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (C) 2007
# Mahdi Pishguy
# Arman Ordookhani <arman.ordookhani@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Programmed with Qt4 & Python
#
# Thanks to : Mahdi Bayazee

import sys
from PyQt4 import QtCore, QtGui

class Ui_MainWindow(object):
    def __init__(self):
        self.text = {}
        self.parseDataFile("data")

    def parseDataFile(self, fileName):
        f = file(fileName)
        key = f.readline()
        while len(key) != 0:            
            self.text[key[:-1]] = f.readline()
            key = f.readline()
        f.close()

    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(QtCore.QSize(QtCore.QRect(0,0,530,374).size()).expandedTo(MainWindow.minimumSizeHint()))

        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.pushButton_2 = QtGui.QPushButton(self.centralwidget)
        self.pushButton_2.setGeometry(QtCore.QRect(10,340,511,27))
        self.pushButton_2.setObjectName("pushButton_2")

        self.frame = QtGui.QFrame(self.centralwidget)
        self.frame.setGeometry(QtCore.QRect(10,10,511,321))
        self.frame.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtGui.QFrame.Raised)
        self.frame.setObjectName("frame")

        self.pushButton = QtGui.QPushButton(self.frame)
        self.pushButton.setGeometry(QtCore.QRect(6,82,499,27))

        font = QtGui.QFont(self.pushButton.font())
        font.setPointSize(9)
        self.pushButton.setFont(font)
        self.pushButton.setObjectName("pushButton")

        self.comboBox = QtGui.QComboBox(self.frame)
        self.comboBox.setGeometry(QtCore.QRect(6,50,499,26))
        self.comboBox.setObjectName("comboBox")
        self.comboBox.setLayoutDirection(QtCore.Qt.RightToLeft)

        self.label_2 = QtGui.QLabel(self.frame)
        self.label_2.setGeometry(QtCore.QRect(11,12,499,31))

        font = QtGui.QFont(self.label_2.font())
        font.setFamily("Sans Serif")
        font.setPointSize(13)
        self.label_2.setFont(font)
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName("label_1")

        self.lblText = QtGui.QLabel(self.frame)
        self.lblText.setGeometry(QtCore.QRect(7,116,498,195))
        self.lblText.setAutoFillBackground(False)
        self.lblText.setFrameShape(QtGui.QFrame.Box)
        self.lblText.setFrameShadow(QtGui.QFrame.Sunken)
        self.lblText.setLineWidth(1)
        self.lblText.setMidLineWidth(0)
        self.lblText.setTextFormat(QtCore.Qt.LogText)
        self.lblText.setScaledContents(True)
        self.lblText.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.lblText.setWordWrap(True)
        self.lblText.setObjectName("lblText")
        #MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QObject.connect(self.pushButton,QtCore.SIGNAL("clicked()"),self.setCombo)
        QtCore.QObject.connect(self.pushButton_2,QtCore.SIGNAL("clicked()"),self.about)

        QtCore.QMetaObject.connectSlotsByName(MainWindow)
        

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QtGui.QApplication.translate("MainWindow", "Tabire Khab Ver:0.01", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_2.setText(QtGui.QApplication.translate("MainWindow", "درباره برنامه", None, QtGui.QApplication.UnicodeUTF8))

        self.pushButton.setText(QtGui.QApplication.translate("MainWindow", "تفسیر خواب", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setText(QtGui.QApplication.translate("MainWindow", "نرم افزار تعبیر خواب نسخه بتای تحت گنو/لینوکس", None, QtGui.QApplication.UnicodeUTF8))

        categories = self.text.keys()
        categories.sort()
        for label in categories:
            self.comboBox.addItem(QtGui.QApplication.translate("Form", label, None, QtGui.QApplication.UnicodeUTF8))

    def about(self):
        QtGui.QMessageBox.aboutQt(MainWindow)

    def setCombo(self):
        self.lblText.setText(QtGui.QApplication.translate("MainWindow", self.text[str(self.comboBox.currentText().toUtf8())], None, QtGui.QApplication.UnicodeUTF8))

if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    MainWindow = QtGui.QWidget()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
